# Multiples Void Endpoint (V1 - Deprecated)

### Request Parameters

type: `POST`\
content-type: `application/json`

#### Idempotency

Request will contain a header `X-Idempotency-Key` in the form of a UUID string. See 'Idempotency' section for more information.

| Parameter | Type                     | Required? | Example                              |
| --------- | ------------------------ | --------- | ------------------------------------ |
| requestId | String/UUID              | Yes       | 92e02ae9-a2a3-48e2-af0e-940aec4bbcfb |
| userId    | String                   | Yes       | user123                              |
| timestamp | String (epoch)           | Yes       | 1640995200000                        |
| betSlipId | String/UUID              | yes       |                                      |
| bets      | Array <`VoidBetDetails`> | Yes       |                                      |

### Response Parameters

accepts: `application/json`

| Parameter | Type              | Required |                                 |
| --------- | ----------------- | -------- | ------------------------------- |
| requestId | String/UUID       | Yes      | Matches request's requestId     |
| userId    | String            | Yes      |                                 |
| timestamp | String (epoch)    | Yes      | Response timestamp              |
| status    | String ("VOIDED") | Yes      |                                 |
| betSlipId | String/UUID       | Yes      | Matches the request's betSlipId |

### Error Response

accepts: `application/json`

| Parameter    | Type               | Required? |
| ------------ | ------------------ | --------- |
| status       | String ("FAILURE") | Yes       |
| errorCode    | String             | Yes       |
| errorMessage | String             | No        |

#### Errors

| Error Code             | Http Status |
| ---------------------- | ----------- |
| INVALID\_USER          | 400         |
| INVALID\_BET           | 400         |
| MISSING\_PARAMETER     | 400         |
| AUTHENTICATION\_FAILED | 403         |
| GENERAL\_EXCEPTION     | 500         |
| REQUEST\_TIMED\_OUT    | 503         |

### BetDetails

| Parameter     | Type                           |     |
| ------------- | ------------------------------ | --- |
| betId         | String/UUID                    | Yes |
| betSelections | Array <`VoidSelectionDetails`> | Yes |

#### VoidSelectionDetails

| Parameter     | Type   |     |
| ------------- | ------ | --- |
| selectionId   | String | Yes |
| marketId      | String | Yes |
| sportId       | String | Yes |
| eventId       | String | Yes |
| competitionId | String | Yes |
| marketTypeId  | String | Yes |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/betlink-integration/backend-integration/multiples-void-endpoint-v1-deprecated.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
